Public Class RegistrosListarArgumentos
    Implements IRegistrosListarArgumentos

    Private _FiltroUniversal As String = ""
    Public Property FiltroUniversal As String Implements IRegistrosListarArgumentos.filtroUniversal
        Get
            If IsNothing(_FiltroUniversal) Then _FiltroUniversal = ""
            Return _FiltroUniversal
        End Get
        Set(value As String)
            Dim nuevoValor As String = ""
            If (IsNothing(value)) Then value = ""
            If (value.Trim.Length > 0) Then nuevoValor = "%" + value + "%"

            _FiltroUniversal = nuevoValor
        End Set
    End Property
End Class
